server:
  port: 28888
  servlet:
    context-path: /pm

spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  session:
    store-type: redis
    redis:
      namespace: "spring:session"
  redis:
    timeout: 5000
    host: 47.98.125.47
    port: 26379
    database: 0
    password: Ndkj1234
    jedis:
      pool:
        max-active: 200
        max-idle: 500
        min-idle: 8
        max-wait: 10000
  application:
    name: pm
  jackson:
    default-property-inclusion: non_null
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  jpa:
    properties:
      hibernate:
        default_schema: PUBLIC
        hbm2ddl:
          auto: update
        show_sql: true
    show-sql: true
    hibernate:
      ddl-auto: update
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.kingbase8.Driver
    # 数据源
    druid:
      url: jdbc:kingbase8://120.26.44.207:54321/nd_project_management?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8
      username: SYSTEM
      password: Ndkj1234
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 10
      # 最大连接池数量
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      #mysql使用：SELECT 1 FROM DUAL
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      statViewServlet:
        enabled: true
        # 设置白名单，不填则允许所有访问
        allow:
        url-pattern: /druid/*
        # 控制台管理用户名和密码
        login-username: admin
        login-password: admin
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      logic-delete-value: true
      logic-not-delete-value: false
logging:
  config: classpath:logback-spring.xml
#日志配置
  level:
    root: info
  file:
    path: logs
nd:
  log:
    enabled: true
    type: DB
# 日志文件配置
log:
  path: ./logs
  info:
    file-size: 50MB
    max-size: 5
    total-size: 200MB
  error:
    file-size: 10MB
    max-size: 5
    total-size: 50MB

swagger:
  enabled: true

flowable:
  async-executor-activate: true
  #关闭一些不需要的功能服务
  rest-api-enabled: false
  idm:
    enabled: false
  common:
    enabled: false
  dmn:
    enabled: false
  form:
    enabled: false
  app:
    enabled: false

wflow:
  file:
    max-size: 20 #最大文件上传大小，MB

sa-token:
  # token 名称 (同时也是cookie名称)
  token-name: wflowToken
  # token 有效期，单位s 默认30天, -1代表永不过期
  timeout: 172800
  # token 临时有效期 (指定时间内无操作就视为token过期) 单位: 秒
  activity-timeout: -1
  # 是否允许同一账号并发登录 (为true时允许一起登录, 为false时新登录挤掉旧登录)
  is-concurrent: true
  # 在多人登录同一账号时，是否共用一个token (为true时所有登录共用一个token, 为false时每次登录新建一个token)
  is-share: false
  # token风格
  token-style: uuid
  # 是否输出操作日志
  is-log: false

#专有钉钉
ding:
  #扫码
  app-auth-key: expert-base_dingoa-c5nnefYVnie
  app-auth-secret: nm8qtST8uK431HYrjr7srcE23sT4889QgMcYFM3L
  #  #免登/获取信息
  app-key: file-manage-4Mjx9358wuxjyYFjY3
  app-secret: hE41938wqyQ5LOpc1QDRA9e7gb5YugoClWD3nY4O
  #专有钉钉在开发管理工作台，右键查看网页源码realmId: '31141',浙政钉固定196729
  tenantId: 31141
  domain: openplatform.dg-work.cn